# Translations

The Translations API provides ways to localize your content into various languages. It supports custom strings, default language settings, and more.

## GET /orgs/{organizationId}/translations

> List all the translations

```json
{"openapi":"3.1.0","info":{"title":"GitBook API","version":"0.0.1-beta"},"tags":[{"name":"translations","description":"The Translations API provides ways to localize your content into various languages. It supports custom strings, default language settings, and more.\n"}],"servers":[{"url":"{host}/v1","variables":{"host":{"default":"https://api.gitbook.com"}}}],"security":[{"user":[]}],"components":{"securitySchemes":{"user":{"type":"http","scheme":"bearer"}},"parameters":{"organizationId":{"name":"organizationId","in":"path","required":true,"description":"The unique id of the organization","schema":{"$ref":"#/components/schemas/EntityId"}},"listPage":{"name":"page","in":"query","description":"Identifier of the page results to fetch.","schema":{"type":"string"}},"listLimit":{"name":"limit","in":"query","description":"The number of results per page","schema":{"type":"number","minimum":0,"maximum":1000}}},"schemas":{"EntityId":{"type":"string","pattern":"^[a-zA-Z0-9_-]+$","description":"A unique entity identifier"},"List":{"type":"object","properties":{"next":{"type":"object","properties":{"page":{"type":"string","description":"Unique identifier to query the next results page"}},"required":["page"]},"count":{"type":"number","description":"Total count of objects in the list"}}},"Translation":{"type":"object","properties":{"object":{"type":"string","enum":["translation"]},"id":{"type":"string","description":"Unique identifier of the translation sync"},"status":{"$ref":"#/components/schemas/TranslationStatus"},"source":{"$ref":"#/components/schemas/TranslationSource"},"language":{"$ref":"#/components/schemas/TranslationLanguage"},"instructions":{"$ref":"#/components/schemas/JSONDocument"},"result":{"$ref":"#/components/schemas/TranslationResult"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"stats":{"type":"object","properties":{"runs":{"type":"integer","description":"Total number of times the translation has been run"},"totalWords":{"type":"integer","description":"Total number of words translated"},"totalPages":{"type":"integer","description":"Total number of unique pages translated"},"totalDuration":{"type":"integer","description":"Total duration of all runs (in seconds)"},"latestRunDuration":{"type":"integer","description":"Duration of the latest run (in seconds)"},"latestPages":{"type":"integer","description":"Number of unique pages translated in the latest run"},"latestWords":{"type":"integer","description":"Number of words translated in the latest run"}},"required":["runs","totalWords","totalPages","totalDuration","latestRunDuration","latestPages","latestWords"]},"permissions":{"type":"object","properties":{"view":{"type":"boolean","description":"Whether the user can view the object"},"edit":{"type":"boolean","description":"Whether the user can edit the object"}},"required":["view","edit"]},"urls":{"type":"object","description":"URLs associated with the object","properties":{"location":{"type":"string","description":"URL of the translation settings in the API","format":"uri"}},"required":["location"]}},"required":["object","id","status","source","language","instructions","createdAt","updatedAt","stats","permissions","urls"]},"TranslationStatus":{"type":"string","enum":["pending","running","completed"]},"TranslationSource":{"type":"object","required":["space","language"],"properties":{"space":{"type":"string","description":"ID of the source space"},"language":{"$ref":"#/components/schemas/TranslationLanguage"}}},"TranslationLanguage":{"type":"string","enum":["en","fr","de","es","it","pt","pt-br","ru","ja","zh","zh-tw","yue","ko","ar","hi","nl","pl","tr","sv","no","da","fi","el","cs","hu","ro","th","vi","id","ms","he","uk","sk","bg","hr","lt","lv","et","sl"]},"JSONDocument":{"type":"object","properties":{"object":{"type":"string","enum":["document"]},"data":{"type":"object","properties":{"schemaVersion":{"description":"The schema version of the document. If undefined, the document is considered to be of the latest schema version.","type":"integer"}},"additionalProperties":true},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlocksTopLevels"}},"meta":{"type":"object","properties":{"token":{"description":"A content token that can be used to fetch the content referenced in this document from the API.","type":"string"}}}},"required":["object","data","nodes"]},"DocumentBlocksTopLevels":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockDrawing"},{"$ref":"#/components/schemas/DocumentBlockEmbed"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockExpandable"},{"$ref":"#/components/schemas/DocumentBlockTabs"},{"$ref":"#/components/schemas/DocumentBlockTable"},{"$ref":"#/components/schemas/DocumentBlockOpenAPI"},{"$ref":"#/components/schemas/DocumentBlockOpenAPIOperation"},{"$ref":"#/components/schemas/DocumentBlockOpenAPISchemas"},{"$ref":"#/components/schemas/DocumentBlockOpenAPIWebhook"},{"$ref":"#/components/schemas/DocumentBlockContentRef"},{"$ref":"#/components/schemas/DocumentBlockIntegration"},{"$ref":"#/components/schemas/DocumentBlockReusableContent"},{"$ref":"#/components/schemas/DocumentBlockStepper"},{"$ref":"#/components/schemas/DocumentBlockIf"},{"$ref":"#/components/schemas/DocumentBlockColumns"},{"$ref":"#/components/schemas/DocumentBlockUpdates"}]},"DocumentBlocksEssentials":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlockParagraph"},{"$ref":"#/components/schemas/DocumentBlockHeading"},{"$ref":"#/components/schemas/DocumentBlockListOrdered"},{"$ref":"#/components/schemas/DocumentBlockListUnordered"},{"$ref":"#/components/schemas/DocumentBlockListTasks"},{"$ref":"#/components/schemas/DocumentBlockDivider"}]},"DocumentBlockParagraph":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["paragraph"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentInline"},{"$ref":"#/components/schemas/DocumentText"}]}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{"align":{"$ref":"#/components/schemas/TextAlignment"}},"additionalProperties":false}},"required":["object","type","nodes"]},"DocumentInline":{"oneOf":[{"$ref":"#/components/schemas/DocumentInlineLink"},{"$ref":"#/components/schemas/DocumentInlineEmoji"},{"$ref":"#/components/schemas/DocumentInlineIcon"},{"$ref":"#/components/schemas/DocumentInlineExpression"},{"$ref":"#/components/schemas/DocumentInlineMath"},{"$ref":"#/components/schemas/DocumentInlineImage"},{"$ref":"#/components/schemas/DocumentInlineAnnotation"},{"$ref":"#/components/schemas/DocumentInlineMention"},{"$ref":"#/components/schemas/DocumentInlineButton"}]},"DocumentInlineLink":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["link"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentText"},{"$ref":"#/components/schemas/DocumentInlineImage"}]}},"data":{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRef"}},"required":["ref"]},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes","data"]},"DocumentText":{"type":"object","properties":{"object":{"type":"string","enum":["text"]},"key":{"type":"string"},"leaves":{"type":"array","items":{"$ref":"#/components/schemas/DocumentTextLeaf"}}},"required":["object","leaves"]},"DocumentTextLeaf":{"type":"object","properties":{"object":{"type":"string","enum":["leaf"]},"text":{"type":"string"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/DocumentTextMark"}}},"required":["object","text","marks"]},"DocumentTextMark":{"oneOf":[{"$ref":"#/components/schemas/DocumentMarkBold"},{"$ref":"#/components/schemas/DocumentMarkItalic"},{"$ref":"#/components/schemas/DocumentMarkCode"},{"$ref":"#/components/schemas/DocumentMarkKeyboard"},{"$ref":"#/components/schemas/DocumentMarkStrikethrough"},{"$ref":"#/components/schemas/DocumentMarkColor"},{"$ref":"#/components/schemas/DocumentMarkSuperscript"},{"$ref":"#/components/schemas/DocumentMarkSubscript"}]},"DocumentMarkBold":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["bold"]}},"required":["object","type"]},"DocumentMarkItalic":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["italic"]}},"required":["object","type"]},"DocumentMarkCode":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["code"]}},"required":["object","type"]},"DocumentMarkKeyboard":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["keyboard"]}},"required":["object","type"]},"DocumentMarkStrikethrough":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["strikethrough"]}},"required":["object","type"]},"DocumentMarkColor":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["color"]},"data":{"type":"object","properties":{"text":{"$ref":"#/components/schemas/DocumentTextColor"},"background":{"$ref":"#/components/schemas/DocumentTextColor"}},"required":["text","background"]}},"required":["object","type","data"]},"DocumentTextColor":{"type":"string","description":"Allowed color tokens for color marks (text and background; background reuses this enum). Named colors are fixed palette keys. `$*` tokens are semantic: resolved from the published sites customization when rendering; authors may still persist them in content when valid.\n","enum":["default","green","blue","red","orange","yellow","purple","pink","violet","cyan","$primary","$info","$success","$warning","$danger","$tint"]},"DocumentMarkSuperscript":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["superscript"]}},"required":["object","type"]},"DocumentMarkSubscript":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["subscript"]}},"required":["object","type"]},"DocumentInlineImage":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["inline-image"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"oneOf":[{"$ref":"#/components/schemas/ContentRefURL"},{"$ref":"#/components/schemas/ContentRefFile"}]},"refDark":{"oneOf":[{"$ref":"#/components/schemas/ContentRefURL"},{"$ref":"#/components/schemas/ContentRefFile"}]},"caption":{"type":"string"},"alt":{"type":"string"},"size":{"type":"string","enum":["original","line"]}},"required":["ref"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"ContentRefURL":{"type":"object","properties":{"kind":{"type":"string","enum":["url"]},"url":{"type":"string"}},"required":["kind","url"]},"ContentRefFile":{"type":"object","properties":{"kind":{"type":"string","enum":["file"]},"file":{"type":"string"},"space":{"description":"ID of the space the file is in. The file is considered as in the current space if none is provided.","type":"string"}},"required":["kind","file"]},"ContentRef":{"description":"A relative reference to content in GitBook.","oneOf":[{"$ref":"#/components/schemas/ContentRefFile"},{"$ref":"#/components/schemas/ContentRefURL"},{"$ref":"#/components/schemas/ContentRefPage"},{"$ref":"#/components/schemas/ContentRefAnchor"},{"$ref":"#/components/schemas/ContentRefUser"},{"$ref":"#/components/schemas/ContentRefCollection"},{"$ref":"#/components/schemas/ContentRefSpace"},{"$ref":"#/components/schemas/ContentRefReusableContent"},{"$ref":"#/components/schemas/ContentRefTag"},{"$ref":"#/components/schemas/ContentRefOpenAPI"}]},"ContentRefPage":{"type":"object","properties":{"kind":{"type":"string","enum":["page"]},"page":{"type":"string"},"space":{"description":"ID of the space the page is in. The page is considered as in the current space if none is provided.","type":"string"}},"required":["kind","page"]},"ContentRefAnchor":{"type":"object","properties":{"kind":{"type":"string","enum":["anchor"]},"anchor":{"type":"string"},"space":{"description":"ID of the space the page is in. The page is considered as in the current space if none is provided.","type":"string"},"page":{"description":"ID of the page the anchor is in. The anchor is considered as in the current page if none is provided.","type":"string"}},"required":["kind","anchor"]},"ContentRefUser":{"type":"object","properties":{"kind":{"type":"string","enum":["user"]},"user":{"type":"string"}},"required":["kind","user"]},"ContentRefCollection":{"type":"object","properties":{"kind":{"type":"string","enum":["collection"]},"collection":{"type":"string"}},"required":["kind","collection"]},"ContentRefSpace":{"type":"object","properties":{"kind":{"type":"string","enum":["space"]},"space":{"type":"string"}},"required":["kind","space"]},"ContentRefReusableContent":{"type":"object","properties":{"kind":{"type":"string","enum":["reusable-content"]},"reusableContent":{"type":"string"},"space":{"type":"string","description":"The space in which the reusable content is defined. If undefined, the reusable content is assumed to be in the same space as the content reference."}},"required":["kind","reusableContent"]},"ContentRefTag":{"type":"object","properties":{"kind":{"type":"string","enum":["tag"]},"tag":{"type":"string","description":"The slug of the tag, also used as the ID, and references the tags defined on a revision."},"space":{"type":"string","description":"The space in which the tag is defined. If undefined, the tag is assumed to be in the same space as the content reference."}},"required":["kind","tag"]},"ContentRefOpenAPI":{"type":"object","properties":{"kind":{"type":"string","enum":["openapi"]},"spec":{"type":"string","description":"Slug of the OpenAPI specification"}},"required":["kind","spec"]},"DocumentInlineEmoji":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["emoji"]},"key":{"type":"string"},"data":{"type":"object","properties":{"code":{"type":"string"}},"required":["code"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentInlineIcon":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["icon"]},"key":{"type":"string"},"data":{"type":"object","properties":{"icon":{"type":"string"},"color":{"$ref":"#/components/schemas/DocumentTextColor"}},"required":["icon"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentInlineExpression":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["expression"]},"key":{"type":"string"},"data":{"type":"object","properties":{"expression":{"type":"string"}},"required":["expression"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentInlineMath":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["inline-math"]},"key":{"type":"string"},"data":{"type":"object","properties":{"formula":{"type":"string"}},"required":["formula"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentInlineAnnotation":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["annotation"]},"key":{"type":"string"},"fragments":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/DocumentFragment"},{"type":"object","properties":{"type":{"type":"string","enum":["annotation-body"]},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockCode"}]},"minItems":1}},"required":["nodes","type"]}]}},"isVoid":{"type":"boolean","enum":[false]},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentText"}},"data":{"type":"object","properties":{},"additionalProperties":false}},"required":["object","type","fragments","isVoid","nodes"]},"DocumentFragment":{"type":"object","properties":{"object":{"type":"string","enum":["fragment"]},"key":{"type":"string"},"fragment":{"type":"string"},"type":{"type":"string"},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlock"}}},"required":["object","nodes"]},"DocumentBlock":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlockParagraph"},{"$ref":"#/components/schemas/DocumentBlockHeading"},{"$ref":"#/components/schemas/DocumentBlockListOrdered"},{"$ref":"#/components/schemas/DocumentBlockListUnordered"},{"$ref":"#/components/schemas/DocumentBlockListTasks"},{"$ref":"#/components/schemas/DocumentBlockListItem"},{"$ref":"#/components/schemas/DocumentBlockDivider"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockIf"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockImage"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockDrawing"},{"$ref":"#/components/schemas/DocumentBlockEmbed"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockCodeLine"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockExpandable"},{"$ref":"#/components/schemas/DocumentBlockTabs"},{"$ref":"#/components/schemas/DocumentBlockTabsItem"},{"$ref":"#/components/schemas/DocumentBlockTable"},{"$ref":"#/components/schemas/DocumentBlockOpenAPI"},{"$ref":"#/components/schemas/DocumentBlockOpenAPIOperation"},{"$ref":"#/components/schemas/DocumentBlockOpenAPISchemas"},{"$ref":"#/components/schemas/DocumentBlockOpenAPIWebhook"},{"$ref":"#/components/schemas/DocumentBlockContentRef"},{"$ref":"#/components/schemas/DocumentBlockIntegration"},{"$ref":"#/components/schemas/DocumentBlockReusableContent"},{"$ref":"#/components/schemas/DocumentBlockStepper"},{"$ref":"#/components/schemas/DocumentBlockStepperStep"},{"$ref":"#/components/schemas/DocumentBlockColumns"},{"$ref":"#/components/schemas/DocumentBlockColumn"},{"$ref":"#/components/schemas/DocumentBlockUpdates"},{"$ref":"#/components/schemas/DocumentBlockUpdate"}]},"DocumentBlockHeading":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["heading-1","heading-2","heading-3"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentInline"},{"$ref":"#/components/schemas/DocumentText"}]}},"data":{"type":"object","properties":{"id":{"type":"string","pattern":"^[-a-z0-9.+_]+$"},"align":{"$ref":"#/components/schemas/TextAlignment"}}},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes","data"]},"TextAlignment":{"type":"string","enum":["start","center","end"]},"DocumentBlockListOrdered":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["list-ordered"]},"key":{"type":"string"},"data":{"type":"object","properties":{"start":{"type":"number","description":"An integer to start counting from for the list items."}}},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlockListItem"}]}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","data","nodes"]},"DocumentBlockListItem":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["list-item"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockTable"}]}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{"checked":{"type":"boolean"}}}},"required":["object","type","nodes"]},"DocumentBlockCode":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["code"]},"key":{"type":"string"},"data":{"type":"object","properties":{"syntax":{"type":"string"},"title":{"type":"string"},"overflow":{"type":"string","default":"scroll","enum":["scroll","wrap"]},"lineNumbers":{"type":"boolean"},"fullWidth":{"type":"boolean"},"expandable":{"type":"boolean"},"collapsedLineCount":{"type":"integer","description":"Number of lines rendered in a code block when it is collapsed","minimum":1,"default":10}}},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockCodeLine"}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","data","nodes"]},"DocumentBlockCodeLine":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["code-line"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentText"},{"$ref":"#/components/schemas/DocumentInlineAnnotation"},{"$ref":"#/components/schemas/DocumentInlineExpression"}]}},"data":{"type":"object","properties":{"highlighted":{"type":"boolean"}}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes","data"]},"DocumentBlockHint":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["hint"]},"key":{"type":"string"},"data":{"type":"object","properties":{"style":{"type":"string","enum":["info","warning","danger","success"]},"icon":{"$ref":"#/components/schemas/Icon"}},"required":["style"]},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlocksEssentials"}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","data","nodes"]},"Icon":{"type":"string","maxLength":50,"format":"icon","description":"Name of the icon"},"DocumentBlockQuote":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["blockquote"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockQuote"}]}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{},"additionalProperties":false}},"required":["object","type","nodes"]},"DocumentBlockMath":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["math"]},"key":{"type":"string"},"data":{"type":"object","properties":{"formula":{"type":"string"}},"required":["formula"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentBlockTable":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["table"]},"key":{"type":"string"},"isVoid":{"type":"boolean","enum":[true]},"data":{"type":"object","properties":{"view":{"oneOf":[{"$ref":"#/components/schemas/DocumentTableViewGrid"},{"$ref":"#/components/schemas/DocumentTableViewCards"}]},"records":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/DocumentTableRecord"}},"definition":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/DocumentTableDefinition"}},"fullWidth":{"type":"boolean","description":"Whether to render the block as a full width one"}},"required":["view","records","definition"]},"fragments":{"type":"array","items":{"$ref":"#/components/schemas/DocumentFragment"}}},"required":["object","type","data","isVoid","fragments"]},"DocumentTableViewGrid":{"type":"object","properties":{"type":{"type":"string","enum":["grid"]},"columns":{"type":"array","description":"Ordered list of the definition IDs to display","items":{"type":"string"}},"columnWidths":{"type":"object","description":"Percent width of each column","additionalProperties":{"type":"number"}},"hideHeader":{"type":"boolean","description":"Should we display the header with column titles"},"stickyHeader":{"type":"boolean","description":"Should we keep the table header sticky while the page scrolls"},"stickyFirstColumn":{"type":"boolean","description":"Should we keep the first visible table column sticky while horizontally scrolling"},"useNewSizing":{"type":"boolean","description":"Tables in GitBook originally used a scaled width approach i.e. the width defined\nin columnWidths would be scaled to ensure a 100% width table.\n\nWe later changed this to treat the widths in columnWidths as exact values - they are\nnever scaled. A columnWidth of 50 is rendered as 50px.\n\nIn order to maintain backwards compatibility, we track whether or not we\nuse the new system here.\n\nAll new tables should have this value set to true, older tables will have it set\nto undefined.\n"}},"required":["type","columns","hideHeader"]},"DocumentTableViewCards":{"type":"object","properties":{"type":{"type":"string","enum":["cards"]},"cardSize":{"type":"string","description":"Size of the cards. It indicates how many columns will be used","enum":["medium","large"]},"columns":{"type":"array","description":"Ordered list of the definition IDs to display","items":{"type":"string"}},"targetDefinition":{"type":"string","description":"Definition ID to use as a target link for the card"},"coverDefinition":{"type":"string","description":"Definition ID to use as a cover image"},"coverDefinitionDark":{"type":"string","description":"Definition ID to use as a dark mode cover image"},"hideColumnTitle":{"type":"boolean","description":"Should we display the column title or not"}},"required":["type","columns","cardSize"]},"DocumentTableRecord":{"type":"object","properties":{"orderIndex":{"type":"string"},"values":{"type":"object","additionalProperties":{"oneOf":[{"type":"number"},{"type":["string","null"]},{"type":"boolean"},{"type":"array","items":{"type":"string"}},{"$ref":"#/components/schemas/ContentRef"},{"$ref":"#/components/schemas/DocumentTableImageRecord"}]}}},"required":["orderIndex","values"]},"DocumentTableImageRecord":{"description":"A table record value for image columns, supporting both direct ContentRefs and the additional format with record-level settings.","oneOf":[{"$ref":"#/components/schemas/ContentRefFile"},{"$ref":"#/components/schemas/ContentRefURL"},{"type":"object","properties":{"ref":{"oneOf":[{"$ref":"#/components/schemas/ContentRefFile"},{"$ref":"#/components/schemas/ContentRefURL"}]},"objectFit":{"$ref":"#/components/schemas/CardsImageObjectFit"},"alt":{"type":"string","description":"Alternative text for the cover image"}},"required":["ref"]}]},"CardsImageObjectFit":{"type":"string","description":"Object fit for image display in card views","enum":["contain","fill","cover"]},"DocumentTableDefinition":{"oneOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionText"},{"$ref":"#/components/schemas/DocumentTableDefinitionNumber"},{"$ref":"#/components/schemas/DocumentTableDefinitionCheckbox"},{"$ref":"#/components/schemas/DocumentTableDefinitionFiles"},{"$ref":"#/components/schemas/DocumentTableDefinitionUsers"},{"$ref":"#/components/schemas/DocumentTableDefinitionRating"},{"$ref":"#/components/schemas/DocumentTableDefinitionSelect"},{"$ref":"#/components/schemas/DocumentTableDefinitionContentRef"},{"$ref":"#/components/schemas/DocumentTableDefinitionImage"}]},"DocumentTableDefinitionText":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["text"]},"textAlignment":{"type":"string","enum":["center","right","left"]},"verticalAlignment":{"$ref":"#/components/schemas/VerticalAlignment"}},"required":["type","textAlignment"]}]},"DocumentTableDefinitionBase":{"type":"object","properties":{"id":{"type":"string"},"title":{"type":"string","description":"Title for the column"}},"required":["id","title"]},"VerticalAlignment":{"type":"string","enum":["top","middle","bottom"]},"DocumentTableDefinitionNumber":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["number"]}},"required":["type"]}]},"DocumentTableDefinitionCheckbox":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["checkbox"]}},"required":["type"]}]},"DocumentTableDefinitionFiles":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["files"]}},"required":["type"]}]},"DocumentTableDefinitionUsers":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["users"]},"multiple":{"type":"boolean"}},"required":["type","multiple"]}]},"DocumentTableDefinitionRating":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["rating"]},"max":{"type":"number"}},"required":["type","max"]}]},"DocumentTableDefinitionSelect":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["select"]},"multiple":{"type":"boolean"},"options":{"type":"array","items":{"$ref":"#/components/schemas/DocumentTableSelectOption"}}},"required":["type","multiple","options"]}]},"DocumentTableSelectOption":{"type":"object","properties":{"value":{"type":"string"},"label":{"type":"string"},"color":{"type":"string"}},"required":["value","label","color"]},"DocumentTableDefinitionContentRef":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["content-ref"]}},"required":["type"]}]},"DocumentTableDefinitionImage":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["image"]}},"required":["type"]}]},"DocumentBlockListUnordered":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["list-unordered"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlockListItem"}]}},"data":{"type":"object","additionalProperties":false},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes"]},"DocumentBlockListTasks":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["list-tasks"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlockListItem"}]}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{},"additionalProperties":false}},"required":["object","type","nodes"]},"DocumentBlockDivider":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["divider"]},"key":{"type":"string"},"isVoid":{"type":"boolean","enum":[true]},"data":{"type":"object","properties":{},"additionalProperties":false}},"required":["object","type","isVoid","data"]},"DocumentBlockIf":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["if"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlocksTopLevels"}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{"expression":{"type":"string"}},"required":["expression"]}},"required":["object","type","nodes","data"]},"DocumentBlockImages":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["images"]},"key":{"type":"string"},"data":{"type":"object","properties":{"align":{"type":"string","enum":["center","left","right"]},"fullWidth":{"type":"boolean"},"withFrame":{"type":"boolean"}}},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockImage"}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","data","nodes","isVoid"]},"DocumentBlockImage":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["image"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"oneOf":[{"$ref":"#/components/schemas/ContentRefURL"},{"$ref":"#/components/schemas/ContentRefFile"}]},"refDark":{"oneOf":[{"$ref":"#/components/schemas/ContentRefURL"},{"$ref":"#/components/schemas/ContentRefFile"}]},"width":{"$ref":"#/components/schemas/Length"},"height":{"$ref":"#/components/schemas/Length"},"alt":{"type":"string"}},"required":["ref"]},"fragments":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/DocumentFragment"},{"type":"object","properties":{"fragment":{"type":"string","enum":["caption"]},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockParagraph"}}},"required":["nodes","fragment"]}]}},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","fragments","isVoid"]},"Length":{"oneOf":[{"type":"number"},{"type":"object","properties":{"unit":{"type":"string"},"value":{"type":"number"}},"required":["unit","value"]}]},"DocumentBlockFile":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["file"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"oneOf":[{"$ref":"#/components/schemas/ContentRefFile"}]}},"required":["ref"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentBlockDrawing":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["drawing"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"oneOf":[{"$ref":"#/components/schemas/ContentRefFile"}]}}},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentBlockEmbed":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["embed"]},"key":{"type":"string"},"data":{"type":"object","properties":{"url":{"type":"string"},"fullWidth":{"type":"boolean"}},"required":["url"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentBlockExpandable":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["expandable"]},"key":{"type":"string"},"isVoid":{"type":"boolean","enum":[true]},"data":{"type":"object","properties":{"defaultExpanded":{"type":"boolean"}},"additionalProperties":false},"fragments":{"type":"array","items":{"oneOf":[{"allOf":[{"$ref":"#/components/schemas/DocumentFragment"},{"type":"object","properties":{"fragment":{"type":"string","enum":["expandable-title"]},"type":{"type":"string","enum":["expandable-title"]},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockParagraph"},"minItems":1,"maxItems":1}},"required":["nodes","fragment","type"]}]},{"allOf":[{"$ref":"#/components/schemas/DocumentFragment"},{"type":"object","properties":{"fragment":{"type":"string","enum":["expandable-body"]},"type":{"type":"string","enum":["expandable-body"]},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockTable"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockReusableContent"},{"$ref":"#/components/schemas/DocumentBlockIntegration"}]},"minItems":1}},"required":["nodes","fragment","type"]}]}]}},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]}},"required":["object","type","isVoid","fragments","data"]},"DocumentBlockReusableContent":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["reusable-content"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRefReusableContent"}},"required":["ref"]},"isVoid":{"type":"boolean","enum":[true]},"meta":{"type":"object","properties":{"token":{"description":"A content token that can be used to fetch the reusable content from the API.","type":"string"}}}},"required":["object","type","data","isVoid"]},"DocumentBlockIntegration":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["integration"]},"key":{"type":"string"},"data":{"type":"object","properties":{"integration":{"type":"string","description":"Name of the integration"},"block":{"type":"string","description":"ID of the block in the integration"},"props":{"description":"Properties passed to the block during rendering","$ref":"#/components/schemas/PlainObject"},"action":{"$ref":"#/components/schemas/ContentKitAction"},"url":{"type":"string","description":"URL associated with the content represented by the block.\nThis property is set when creating a block from a URL (unfurl) to ensure\nwe can convert the block back to an embed.\n"},"fullWidth":{"type":"boolean"}},"required":["integration","block","props"]},"isVoid":{"type":"boolean","enum":[true]},"meta":{"type":"object","properties":{"token":{"type":"string","description":"A content token that can be used to authenticate requests for cross-space integration blocks."},"spaceId":{"type":"string","description":"ID of the space the integration block originates from"}}}},"required":["object","type","data","isVoid"]},"PlainObject":{"properties":{},"additionalProperties":{"oneOf":[{"$ref":"#/components/schemas/PlainObject"},{"type":"string"},{"type":"boolean"},{"type":"number"},{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"boolean"},{"type":"number"},{"$ref":"#/components/schemas/PlainObject"}]}}]}},"ContentKitAction":{"anyOf":[{"type":"object","description":"Custom action to re-render the block.","properties":{"action":{"type":"string"}},"additionalProperties":true,"required":["action"]},{"$ref":"#/components/schemas/ContentKitDefaultAction"}]},"ContentKitDefaultAction":{"oneOf":[{"type":"object","description":"Action to open an overlay modal defined by \"componentId\".","properties":{"action":{"type":"string","enum":["@ui.modal.open"]},"componentId":{"type":"string"},"props":{"$ref":"#/components/schemas/PlainObject"}},"required":["action","componentId","props"]},{"type":"object","description":"Action when a modal overlay is closed, with a return value to the higher level component in the stack. This action will be triggered on the parent component instance.","properties":{"action":{"type":"string","enum":["@ui.modal.close"]},"returnValue":{"$ref":"#/components/schemas/PlainObject"}},"required":["action","returnValue"]},{"type":"object","description":"Action to open an url.","properties":{"action":{"type":"string","enum":["@ui.url.open"]},"url":{"type":"string"}},"required":["action","url"]},{"type":"object","description":"Action when a link is being unfurled into a block.","properties":{"action":{"type":"string","enum":["@link.unfurl"]},"url":{"type":"string"}},"required":["action","url"]},{"type":"object","description":"Action to update the properties stored in the related node.","properties":{"action":{"type":"string","enum":["@editor.node.updateProps"]},"props":{"$ref":"#/components/schemas/PlainObject"}},"required":["action","props"]}]},"DocumentBlockTabs":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["tabs"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockTabsItem"}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{"fullWidth":{"type":"boolean"}},"additionalProperties":false}},"required":["object","type","nodes"]},"DocumentBlockTabsItem":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["tabs-item"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockContentRef"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockEmbed"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockDrawing"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockIntegration"}]}},"data":{"type":"object","properties":{"title":{"type":"string"},"icon":{"$ref":"#/components/schemas/Icon"}}},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes","data"]},"DocumentBlockContentRef":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["content-ref"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRef"}},"required":["ref"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentBlockOpenAPI":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["swagger"]},"key":{"type":"string"},"data":{"allOf":[{"$ref":"#/components/schemas/OpenAPIOperationPointer"},{"type":"object","properties":{"ref":{"oneOf":[{"$ref":"#/components/schemas/ContentRefFile"},{"$ref":"#/components/schemas/ContentRefURL"}]},"expanded":{"type":"boolean","description":"If true, the block is opened by default."},"fullWidth":{"type":"boolean"}},"required":["ref"]}]},"isVoid":{"type":"boolean","enum":[true]},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]}},"required":["object","type","data","isVoid"]},"OpenAPIOperationPointer":{"type":"object","description":"Pointer to an operation in the OpenAPI spec.","properties":{"path":{"type":"string","description":"Path of the operation in the OpenAPI spec."},"method":{"type":"string","description":"HTTP method of the operation in the OpenAPI spec."}},"required":["path","method"]},"DocumentBlockOpenAPIOperation":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["openapi-operation"]},"key":{"type":"string"},"data":{"allOf":[{"$ref":"#/components/schemas/OpenAPIOperationPointer"},{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRefOpenAPI"}},"required":["ref"]}]},"isVoid":{"type":"boolean","enum":[true]},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]}},"required":["object","type","data","isVoid"]},"DocumentBlockOpenAPISchemas":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["openapi-schemas"]},"key":{"type":"string"},"data":{"allOf":[{"$ref":"#/components/schemas/OpenAPISchemasPointer"},{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRefOpenAPI"}},"required":["ref"]}],"required":["ref"]},"isVoid":{"type":"boolean","enum":[true]},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]}},"required":["object","type","data","isVoid"]},"OpenAPISchemasPointer":{"type":"object","description":"Pointer to schemas in the OpenAPI spec.","properties":{"grouped":{"type":"boolean","description":"Whether the schemas are grouped or not.","default":true},"schemas":{"type":"array","description":"List of schemas name from the OpenAPI spec.","items":{"type":"string"}},"title":{"type":"string","description":"Custom title for the schemas block. When not provided, defaults to \"The <SchemaName> object\"."}},"required":["schemas"]},"DocumentBlockOpenAPIWebhook":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["openapi-webhook"]},"key":{"type":"string"},"data":{"allOf":[{"$ref":"#/components/schemas/OpenAPIWebhookPointer"},{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRefOpenAPI"}},"required":["ref"]}]},"isVoid":{"type":"boolean","enum":[true]},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]}},"required":["object","type","data","isVoid"]},"OpenAPIWebhookPointer":{"type":"object","description":"Pointer to a webhook in the OpenAPI spec.","properties":{"name":{"type":"string","description":"Name of the webhook in the OpenAPI spec."},"method":{"type":"string","description":"HTTP method of the webhook in the OpenAPI spec."}},"required":["name","method"]},"DocumentBlockStepper":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["stepper"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockStepperStep"}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{},"additionalProperties":false}},"required":["object","type","nodes"]},"DocumentBlockStepperStep":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["stepper-step"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockContentRef"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockEmbed"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockDrawing"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockIntegration"},{"$ref":"#/components/schemas/DocumentBlockExpandable"}]}},"data":{"type":"object","properties":{"icon":{"type":"string"}}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes","data"]},"DocumentBlockColumns":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["columns"]},"key":{"type":"string"},"data":{"type":"object","properties":{"fullWidth":{"type":"boolean"}}},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockColumn"}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","data","nodes","isVoid"]},"DocumentBlockColumn":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["column"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockContentRef"},{"$ref":"#/components/schemas/DocumentBlockDrawing"},{"$ref":"#/components/schemas/DocumentBlockEmbed"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockIntegration"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockTable"},{"$ref":"#/components/schemas/DocumentBlockExpandable"},{"$ref":"#/components/schemas/DocumentBlockStepper"}]}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{"width":{"$ref":"#/components/schemas/Length"},"verticalAlignment":{"$ref":"#/components/schemas/VerticalAlignment"}},"additionalProperties":false}},"required":["object","type","nodes","data"]},"DocumentBlockUpdates":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["updates"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockUpdate"}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{"format":{"type":"string","enum":["numeric","full","short"],"default":"full"}},"required":["format"],"additionalProperties":false}},"required":["object","type","nodes","data"]},"DocumentBlockUpdate":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["update"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockContentRef"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockEmbed"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockDrawing"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockIntegration"},{"$ref":"#/components/schemas/DocumentBlockTabs"},{"$ref":"#/components/schemas/DocumentBlockExpandable"}]}},"data":{"type":"object","properties":{"date":{"$ref":"#/components/schemas/Timestamp"},"tags":{"type":"array","description":"Array of tags. Each tag is id'ed by its slug.","items":{"$ref":"#/components/schemas/ContentRefTag"}}},"required":["date"]},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes","data"]},"Timestamp":{"type":"string","format":"date-time"},"DocumentInlineMention":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["mention"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRef"}},"required":["ref"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentInlineButton":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["button"]},"key":{"type":"string"},"data":{"allOf":[{"type":"object","properties":{"label":{"type":"string"},"kind":{"type":"string","enum":["primary","secondary"]},"icon":{"$ref":"#/components/schemas/Icon"}},"required":["label","kind"]},{"oneOf":[{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRef"}},"required":["ref"],"additionalProperties":false},{"type":"object","properties":{"action":{"$ref":"#/components/schemas/DocumentAction"}},"required":["action"],"additionalProperties":false}]}]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentAction":{"type":"object","oneOf":[{"type":"object","properties":{"action":{"type":"string","enum":["search"]},"query":{"type":"string"}},"required":["action"],"additionalProperties":false},{"type":"object","properties":{"action":{"type":"string","enum":["ask"]},"query":{"type":"string"}},"required":["action"],"additionalProperties":false}]},"TranslationResult":{"type":"object","description":"Result of a translation.","properties":{"space":{"type":"string","description":"ID of the space containing the result of the translation"},"revision":{"type":"string","description":"ID of the revision generated by the translation"},"language":{"$ref":"#/components/schemas/TranslationLanguage"}},"required":["space","revision","language"]}}},"paths":{"/orgs/{organizationId}/translations":{"get":{"operationId":"listTranslations","summary":"List all the translations","tags":["translations"],"parameters":[{"$ref":"#/components/parameters/organizationId"},{"$ref":"#/components/parameters/listPage"},{"$ref":"#/components/parameters/listLimit"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/List"},{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Translation"}}}}]}}}}}}}}}
```

## POST /orgs/{organizationId}/translations

> Create a translation

```json
{"openapi":"3.1.0","info":{"title":"GitBook API","version":"0.0.1-beta"},"tags":[{"name":"translations","description":"The Translations API provides ways to localize your content into various languages. It supports custom strings, default language settings, and more.\n"}],"servers":[{"url":"{host}/v1","variables":{"host":{"default":"https://api.gitbook.com"}}}],"security":[{"user":[]}],"components":{"securitySchemes":{"user":{"type":"http","scheme":"bearer"}},"parameters":{"organizationId":{"name":"organizationId","in":"path","required":true,"description":"The unique id of the organization","schema":{"$ref":"#/components/schemas/EntityId"}}},"schemas":{"EntityId":{"type":"string","pattern":"^[a-zA-Z0-9_-]+$","description":"A unique entity identifier"},"TranslationSource":{"type":"object","required":["space","language"],"properties":{"space":{"type":"string","description":"ID of the source space"},"language":{"$ref":"#/components/schemas/TranslationLanguage"}}},"TranslationLanguage":{"type":"string","enum":["en","fr","de","es","it","pt","pt-br","ru","ja","zh","zh-tw","yue","ko","ar","hi","nl","pl","tr","sv","no","da","fi","el","cs","hu","ro","th","vi","id","ms","he","uk","sk","bg","hr","lt","lv","et","sl"]},"JSONDocument":{"type":"object","properties":{"object":{"type":"string","enum":["document"]},"data":{"type":"object","properties":{"schemaVersion":{"description":"The schema version of the document. If undefined, the document is considered to be of the latest schema version.","type":"integer"}},"additionalProperties":true},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlocksTopLevels"}},"meta":{"type":"object","properties":{"token":{"description":"A content token that can be used to fetch the content referenced in this document from the API.","type":"string"}}}},"required":["object","data","nodes"]},"DocumentBlocksTopLevels":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockDrawing"},{"$ref":"#/components/schemas/DocumentBlockEmbed"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockExpandable"},{"$ref":"#/components/schemas/DocumentBlockTabs"},{"$ref":"#/components/schemas/DocumentBlockTable"},{"$ref":"#/components/schemas/DocumentBlockOpenAPI"},{"$ref":"#/components/schemas/DocumentBlockOpenAPIOperation"},{"$ref":"#/components/schemas/DocumentBlockOpenAPISchemas"},{"$ref":"#/components/schemas/DocumentBlockOpenAPIWebhook"},{"$ref":"#/components/schemas/DocumentBlockContentRef"},{"$ref":"#/components/schemas/DocumentBlockIntegration"},{"$ref":"#/components/schemas/DocumentBlockReusableContent"},{"$ref":"#/components/schemas/DocumentBlockStepper"},{"$ref":"#/components/schemas/DocumentBlockIf"},{"$ref":"#/components/schemas/DocumentBlockColumns"},{"$ref":"#/components/schemas/DocumentBlockUpdates"}]},"DocumentBlocksEssentials":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlockParagraph"},{"$ref":"#/components/schemas/DocumentBlockHeading"},{"$ref":"#/components/schemas/DocumentBlockListOrdered"},{"$ref":"#/components/schemas/DocumentBlockListUnordered"},{"$ref":"#/components/schemas/DocumentBlockListTasks"},{"$ref":"#/components/schemas/DocumentBlockDivider"}]},"DocumentBlockParagraph":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["paragraph"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentInline"},{"$ref":"#/components/schemas/DocumentText"}]}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{"align":{"$ref":"#/components/schemas/TextAlignment"}},"additionalProperties":false}},"required":["object","type","nodes"]},"DocumentInline":{"oneOf":[{"$ref":"#/components/schemas/DocumentInlineLink"},{"$ref":"#/components/schemas/DocumentInlineEmoji"},{"$ref":"#/components/schemas/DocumentInlineIcon"},{"$ref":"#/components/schemas/DocumentInlineExpression"},{"$ref":"#/components/schemas/DocumentInlineMath"},{"$ref":"#/components/schemas/DocumentInlineImage"},{"$ref":"#/components/schemas/DocumentInlineAnnotation"},{"$ref":"#/components/schemas/DocumentInlineMention"},{"$ref":"#/components/schemas/DocumentInlineButton"}]},"DocumentInlineLink":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["link"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentText"},{"$ref":"#/components/schemas/DocumentInlineImage"}]}},"data":{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRef"}},"required":["ref"]},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes","data"]},"DocumentText":{"type":"object","properties":{"object":{"type":"string","enum":["text"]},"key":{"type":"string"},"leaves":{"type":"array","items":{"$ref":"#/components/schemas/DocumentTextLeaf"}}},"required":["object","leaves"]},"DocumentTextLeaf":{"type":"object","properties":{"object":{"type":"string","enum":["leaf"]},"text":{"type":"string"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/DocumentTextMark"}}},"required":["object","text","marks"]},"DocumentTextMark":{"oneOf":[{"$ref":"#/components/schemas/DocumentMarkBold"},{"$ref":"#/components/schemas/DocumentMarkItalic"},{"$ref":"#/components/schemas/DocumentMarkCode"},{"$ref":"#/components/schemas/DocumentMarkKeyboard"},{"$ref":"#/components/schemas/DocumentMarkStrikethrough"},{"$ref":"#/components/schemas/DocumentMarkColor"},{"$ref":"#/components/schemas/DocumentMarkSuperscript"},{"$ref":"#/components/schemas/DocumentMarkSubscript"}]},"DocumentMarkBold":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["bold"]}},"required":["object","type"]},"DocumentMarkItalic":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["italic"]}},"required":["object","type"]},"DocumentMarkCode":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["code"]}},"required":["object","type"]},"DocumentMarkKeyboard":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["keyboard"]}},"required":["object","type"]},"DocumentMarkStrikethrough":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["strikethrough"]}},"required":["object","type"]},"DocumentMarkColor":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["color"]},"data":{"type":"object","properties":{"text":{"$ref":"#/components/schemas/DocumentTextColor"},"background":{"$ref":"#/components/schemas/DocumentTextColor"}},"required":["text","background"]}},"required":["object","type","data"]},"DocumentTextColor":{"type":"string","description":"Allowed color tokens for color marks (text and background; background reuses this enum). Named colors are fixed palette keys. `$*` tokens are semantic: resolved from the published sites customization when rendering; authors may still persist them in content when valid.\n","enum":["default","green","blue","red","orange","yellow","purple","pink","violet","cyan","$primary","$info","$success","$warning","$danger","$tint"]},"DocumentMarkSuperscript":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["superscript"]}},"required":["object","type"]},"DocumentMarkSubscript":{"type":"object","properties":{"object":{"type":"string","enum":["mark"]},"type":{"type":"string","enum":["subscript"]}},"required":["object","type"]},"DocumentInlineImage":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["inline-image"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"oneOf":[{"$ref":"#/components/schemas/ContentRefURL"},{"$ref":"#/components/schemas/ContentRefFile"}]},"refDark":{"oneOf":[{"$ref":"#/components/schemas/ContentRefURL"},{"$ref":"#/components/schemas/ContentRefFile"}]},"caption":{"type":"string"},"alt":{"type":"string"},"size":{"type":"string","enum":["original","line"]}},"required":["ref"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"ContentRefURL":{"type":"object","properties":{"kind":{"type":"string","enum":["url"]},"url":{"type":"string"}},"required":["kind","url"]},"ContentRefFile":{"type":"object","properties":{"kind":{"type":"string","enum":["file"]},"file":{"type":"string"},"space":{"description":"ID of the space the file is in. The file is considered as in the current space if none is provided.","type":"string"}},"required":["kind","file"]},"ContentRef":{"description":"A relative reference to content in GitBook.","oneOf":[{"$ref":"#/components/schemas/ContentRefFile"},{"$ref":"#/components/schemas/ContentRefURL"},{"$ref":"#/components/schemas/ContentRefPage"},{"$ref":"#/components/schemas/ContentRefAnchor"},{"$ref":"#/components/schemas/ContentRefUser"},{"$ref":"#/components/schemas/ContentRefCollection"},{"$ref":"#/components/schemas/ContentRefSpace"},{"$ref":"#/components/schemas/ContentRefReusableContent"},{"$ref":"#/components/schemas/ContentRefTag"},{"$ref":"#/components/schemas/ContentRefOpenAPI"}]},"ContentRefPage":{"type":"object","properties":{"kind":{"type":"string","enum":["page"]},"page":{"type":"string"},"space":{"description":"ID of the space the page is in. The page is considered as in the current space if none is provided.","type":"string"}},"required":["kind","page"]},"ContentRefAnchor":{"type":"object","properties":{"kind":{"type":"string","enum":["anchor"]},"anchor":{"type":"string"},"space":{"description":"ID of the space the page is in. The page is considered as in the current space if none is provided.","type":"string"},"page":{"description":"ID of the page the anchor is in. The anchor is considered as in the current page if none is provided.","type":"string"}},"required":["kind","anchor"]},"ContentRefUser":{"type":"object","properties":{"kind":{"type":"string","enum":["user"]},"user":{"type":"string"}},"required":["kind","user"]},"ContentRefCollection":{"type":"object","properties":{"kind":{"type":"string","enum":["collection"]},"collection":{"type":"string"}},"required":["kind","collection"]},"ContentRefSpace":{"type":"object","properties":{"kind":{"type":"string","enum":["space"]},"space":{"type":"string"}},"required":["kind","space"]},"ContentRefReusableContent":{"type":"object","properties":{"kind":{"type":"string","enum":["reusable-content"]},"reusableContent":{"type":"string"},"space":{"type":"string","description":"The space in which the reusable content is defined. If undefined, the reusable content is assumed to be in the same space as the content reference."}},"required":["kind","reusableContent"]},"ContentRefTag":{"type":"object","properties":{"kind":{"type":"string","enum":["tag"]},"tag":{"type":"string","description":"The slug of the tag, also used as the ID, and references the tags defined on a revision."},"space":{"type":"string","description":"The space in which the tag is defined. If undefined, the tag is assumed to be in the same space as the content reference."}},"required":["kind","tag"]},"ContentRefOpenAPI":{"type":"object","properties":{"kind":{"type":"string","enum":["openapi"]},"spec":{"type":"string","description":"Slug of the OpenAPI specification"}},"required":["kind","spec"]},"DocumentInlineEmoji":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["emoji"]},"key":{"type":"string"},"data":{"type":"object","properties":{"code":{"type":"string"}},"required":["code"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentInlineIcon":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["icon"]},"key":{"type":"string"},"data":{"type":"object","properties":{"icon":{"type":"string"},"color":{"$ref":"#/components/schemas/DocumentTextColor"}},"required":["icon"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentInlineExpression":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["expression"]},"key":{"type":"string"},"data":{"type":"object","properties":{"expression":{"type":"string"}},"required":["expression"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentInlineMath":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["inline-math"]},"key":{"type":"string"},"data":{"type":"object","properties":{"formula":{"type":"string"}},"required":["formula"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentInlineAnnotation":{"type":"object","properties":{"object":{"type":"string","enum":["inline"]},"type":{"type":"string","enum":["annotation"]},"key":{"type":"string"},"fragments":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/DocumentFragment"},{"type":"object","properties":{"type":{"type":"string","enum":["annotation-body"]},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockCode"}]},"minItems":1}},"required":["nodes","type"]}]}},"isVoid":{"type":"boolean","enum":[false]},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentText"}},"data":{"type":"object","properties":{},"additionalProperties":false}},"required":["object","type","fragments","isVoid","nodes"]},"DocumentFragment":{"type":"object","properties":{"object":{"type":"string","enum":["fragment"]},"key":{"type":"string"},"fragment":{"type":"string"},"type":{"type":"string"},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlock"}}},"required":["object","nodes"]},"DocumentBlock":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlockParagraph"},{"$ref":"#/components/schemas/DocumentBlockHeading"},{"$ref":"#/components/schemas/DocumentBlockListOrdered"},{"$ref":"#/components/schemas/DocumentBlockListUnordered"},{"$ref":"#/components/schemas/DocumentBlockListTasks"},{"$ref":"#/components/schemas/DocumentBlockListItem"},{"$ref":"#/components/schemas/DocumentBlockDivider"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockIf"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockImage"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockDrawing"},{"$ref":"#/components/schemas/DocumentBlockEmbed"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockCodeLine"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockExpandable"},{"$ref":"#/components/schemas/DocumentBlockTabs"},{"$ref":"#/components/schemas/DocumentBlockTabsItem"},{"$ref":"#/components/schemas/DocumentBlockTable"},{"$ref":"#/components/schemas/DocumentBlockOpenAPI"},{"$ref":"#/components/schemas/DocumentBlockOpenAPIOperation"},{"$ref":"#/components/schemas/DocumentBlockOpenAPISchemas"},{"$ref":"#/components/schemas/DocumentBlockOpenAPIWebhook"},{"$ref":"#/components/schemas/DocumentBlockContentRef"},{"$ref":"#/components/schemas/DocumentBlockIntegration"},{"$ref":"#/components/schemas/DocumentBlockReusableContent"},{"$ref":"#/components/schemas/DocumentBlockStepper"},{"$ref":"#/components/schemas/DocumentBlockStepperStep"},{"$ref":"#/components/schemas/DocumentBlockColumns"},{"$ref":"#/components/schemas/DocumentBlockColumn"},{"$ref":"#/components/schemas/DocumentBlockUpdates"},{"$ref":"#/components/schemas/DocumentBlockUpdate"}]},"DocumentBlockHeading":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["heading-1","heading-2","heading-3"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentInline"},{"$ref":"#/components/schemas/DocumentText"}]}},"data":{"type":"object","properties":{"id":{"type":"string","pattern":"^[-a-z0-9.+_]+$"},"align":{"$ref":"#/components/schemas/TextAlignment"}}},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes","data"]},"TextAlignment":{"type":"string","enum":["start","center","end"]},"DocumentBlockListOrdered":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["list-ordered"]},"key":{"type":"string"},"data":{"type":"object","properties":{"start":{"type":"number","description":"An integer to start counting from for the list items."}}},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlockListItem"}]}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","data","nodes"]},"DocumentBlockListItem":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["list-item"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockTable"}]}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{"checked":{"type":"boolean"}}}},"required":["object","type","nodes"]},"DocumentBlockCode":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["code"]},"key":{"type":"string"},"data":{"type":"object","properties":{"syntax":{"type":"string"},"title":{"type":"string"},"overflow":{"type":"string","default":"scroll","enum":["scroll","wrap"]},"lineNumbers":{"type":"boolean"},"fullWidth":{"type":"boolean"},"expandable":{"type":"boolean"},"collapsedLineCount":{"type":"integer","description":"Number of lines rendered in a code block when it is collapsed","minimum":1,"default":10}}},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockCodeLine"}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","data","nodes"]},"DocumentBlockCodeLine":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["code-line"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentText"},{"$ref":"#/components/schemas/DocumentInlineAnnotation"},{"$ref":"#/components/schemas/DocumentInlineExpression"}]}},"data":{"type":"object","properties":{"highlighted":{"type":"boolean"}}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes","data"]},"DocumentBlockHint":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["hint"]},"key":{"type":"string"},"data":{"type":"object","properties":{"style":{"type":"string","enum":["info","warning","danger","success"]},"icon":{"$ref":"#/components/schemas/Icon"}},"required":["style"]},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlocksEssentials"}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","data","nodes"]},"Icon":{"type":"string","maxLength":50,"format":"icon","description":"Name of the icon"},"DocumentBlockQuote":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["blockquote"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockQuote"}]}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{},"additionalProperties":false}},"required":["object","type","nodes"]},"DocumentBlockMath":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["math"]},"key":{"type":"string"},"data":{"type":"object","properties":{"formula":{"type":"string"}},"required":["formula"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentBlockTable":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["table"]},"key":{"type":"string"},"isVoid":{"type":"boolean","enum":[true]},"data":{"type":"object","properties":{"view":{"oneOf":[{"$ref":"#/components/schemas/DocumentTableViewGrid"},{"$ref":"#/components/schemas/DocumentTableViewCards"}]},"records":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/DocumentTableRecord"}},"definition":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/DocumentTableDefinition"}},"fullWidth":{"type":"boolean","description":"Whether to render the block as a full width one"}},"required":["view","records","definition"]},"fragments":{"type":"array","items":{"$ref":"#/components/schemas/DocumentFragment"}}},"required":["object","type","data","isVoid","fragments"]},"DocumentTableViewGrid":{"type":"object","properties":{"type":{"type":"string","enum":["grid"]},"columns":{"type":"array","description":"Ordered list of the definition IDs to display","items":{"type":"string"}},"columnWidths":{"type":"object","description":"Percent width of each column","additionalProperties":{"type":"number"}},"hideHeader":{"type":"boolean","description":"Should we display the header with column titles"},"stickyHeader":{"type":"boolean","description":"Should we keep the table header sticky while the page scrolls"},"stickyFirstColumn":{"type":"boolean","description":"Should we keep the first visible table column sticky while horizontally scrolling"},"useNewSizing":{"type":"boolean","description":"Tables in GitBook originally used a scaled width approach i.e. the width defined\nin columnWidths would be scaled to ensure a 100% width table.\n\nWe later changed this to treat the widths in columnWidths as exact values - they are\nnever scaled. A columnWidth of 50 is rendered as 50px.\n\nIn order to maintain backwards compatibility, we track whether or not we\nuse the new system here.\n\nAll new tables should have this value set to true, older tables will have it set\nto undefined.\n"}},"required":["type","columns","hideHeader"]},"DocumentTableViewCards":{"type":"object","properties":{"type":{"type":"string","enum":["cards"]},"cardSize":{"type":"string","description":"Size of the cards. It indicates how many columns will be used","enum":["medium","large"]},"columns":{"type":"array","description":"Ordered list of the definition IDs to display","items":{"type":"string"}},"targetDefinition":{"type":"string","description":"Definition ID to use as a target link for the card"},"coverDefinition":{"type":"string","description":"Definition ID to use as a cover image"},"coverDefinitionDark":{"type":"string","description":"Definition ID to use as a dark mode cover image"},"hideColumnTitle":{"type":"boolean","description":"Should we display the column title or not"}},"required":["type","columns","cardSize"]},"DocumentTableRecord":{"type":"object","properties":{"orderIndex":{"type":"string"},"values":{"type":"object","additionalProperties":{"oneOf":[{"type":"number"},{"type":["string","null"]},{"type":"boolean"},{"type":"array","items":{"type":"string"}},{"$ref":"#/components/schemas/ContentRef"},{"$ref":"#/components/schemas/DocumentTableImageRecord"}]}}},"required":["orderIndex","values"]},"DocumentTableImageRecord":{"description":"A table record value for image columns, supporting both direct ContentRefs and the additional format with record-level settings.","oneOf":[{"$ref":"#/components/schemas/ContentRefFile"},{"$ref":"#/components/schemas/ContentRefURL"},{"type":"object","properties":{"ref":{"oneOf":[{"$ref":"#/components/schemas/ContentRefFile"},{"$ref":"#/components/schemas/ContentRefURL"}]},"objectFit":{"$ref":"#/components/schemas/CardsImageObjectFit"},"alt":{"type":"string","description":"Alternative text for the cover image"}},"required":["ref"]}]},"CardsImageObjectFit":{"type":"string","description":"Object fit for image display in card views","enum":["contain","fill","cover"]},"DocumentTableDefinition":{"oneOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionText"},{"$ref":"#/components/schemas/DocumentTableDefinitionNumber"},{"$ref":"#/components/schemas/DocumentTableDefinitionCheckbox"},{"$ref":"#/components/schemas/DocumentTableDefinitionFiles"},{"$ref":"#/components/schemas/DocumentTableDefinitionUsers"},{"$ref":"#/components/schemas/DocumentTableDefinitionRating"},{"$ref":"#/components/schemas/DocumentTableDefinitionSelect"},{"$ref":"#/components/schemas/DocumentTableDefinitionContentRef"},{"$ref":"#/components/schemas/DocumentTableDefinitionImage"}]},"DocumentTableDefinitionText":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["text"]},"textAlignment":{"type":"string","enum":["center","right","left"]},"verticalAlignment":{"$ref":"#/components/schemas/VerticalAlignment"}},"required":["type","textAlignment"]}]},"DocumentTableDefinitionBase":{"type":"object","properties":{"id":{"type":"string"},"title":{"type":"string","description":"Title for the column"}},"required":["id","title"]},"VerticalAlignment":{"type":"string","enum":["top","middle","bottom"]},"DocumentTableDefinitionNumber":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["number"]}},"required":["type"]}]},"DocumentTableDefinitionCheckbox":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["checkbox"]}},"required":["type"]}]},"DocumentTableDefinitionFiles":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["files"]}},"required":["type"]}]},"DocumentTableDefinitionUsers":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["users"]},"multiple":{"type":"boolean"}},"required":["type","multiple"]}]},"DocumentTableDefinitionRating":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["rating"]},"max":{"type":"number"}},"required":["type","max"]}]},"DocumentTableDefinitionSelect":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["select"]},"multiple":{"type":"boolean"},"options":{"type":"array","items":{"$ref":"#/components/schemas/DocumentTableSelectOption"}}},"required":["type","multiple","options"]}]},"DocumentTableSelectOption":{"type":"object","properties":{"value":{"type":"string"},"label":{"type":"string"},"color":{"type":"string"}},"required":["value","label","color"]},"DocumentTableDefinitionContentRef":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["content-ref"]}},"required":["type"]}]},"DocumentTableDefinitionImage":{"allOf":[{"$ref":"#/components/schemas/DocumentTableDefinitionBase"},{"type":"object","properties":{"type":{"type":"string","enum":["image"]}},"required":["type"]}]},"DocumentBlockListUnordered":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["list-unordered"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlockListItem"}]}},"data":{"type":"object","additionalProperties":false},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes"]},"DocumentBlockListTasks":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["list-tasks"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlockListItem"}]}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{},"additionalProperties":false}},"required":["object","type","nodes"]},"DocumentBlockDivider":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["divider"]},"key":{"type":"string"},"isVoid":{"type":"boolean","enum":[true]},"data":{"type":"object","properties":{},"additionalProperties":false}},"required":["object","type","isVoid","data"]},"DocumentBlockIf":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["if"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlocksTopLevels"}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{"expression":{"type":"string"}},"required":["expression"]}},"required":["object","type","nodes","data"]},"DocumentBlockImages":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["images"]},"key":{"type":"string"},"data":{"type":"object","properties":{"align":{"type":"string","enum":["center","left","right"]},"fullWidth":{"type":"boolean"},"withFrame":{"type":"boolean"}}},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockImage"}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","data","nodes","isVoid"]},"DocumentBlockImage":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["image"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"oneOf":[{"$ref":"#/components/schemas/ContentRefURL"},{"$ref":"#/components/schemas/ContentRefFile"}]},"refDark":{"oneOf":[{"$ref":"#/components/schemas/ContentRefURL"},{"$ref":"#/components/schemas/ContentRefFile"}]},"width":{"$ref":"#/components/schemas/Length"},"height":{"$ref":"#/components/schemas/Length"},"alt":{"type":"string"}},"required":["ref"]},"fragments":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/DocumentFragment"},{"type":"object","properties":{"fragment":{"type":"string","enum":["caption"]},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockParagraph"}}},"required":["nodes","fragment"]}]}},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","fragments","isVoid"]},"Length":{"oneOf":[{"type":"number"},{"type":"object","properties":{"unit":{"type":"string"},"value":{"type":"number"}},"required":["unit","value"]}]},"DocumentBlockFile":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["file"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"oneOf":[{"$ref":"#/components/schemas/ContentRefFile"}]}},"required":["ref"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentBlockDrawing":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["drawing"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"oneOf":[{"$ref":"#/components/schemas/ContentRefFile"}]}}},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentBlockEmbed":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["embed"]},"key":{"type":"string"},"data":{"type":"object","properties":{"url":{"type":"string"},"fullWidth":{"type":"boolean"}},"required":["url"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentBlockExpandable":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["expandable"]},"key":{"type":"string"},"isVoid":{"type":"boolean","enum":[true]},"data":{"type":"object","properties":{"defaultExpanded":{"type":"boolean"}},"additionalProperties":false},"fragments":{"type":"array","items":{"oneOf":[{"allOf":[{"$ref":"#/components/schemas/DocumentFragment"},{"type":"object","properties":{"fragment":{"type":"string","enum":["expandable-title"]},"type":{"type":"string","enum":["expandable-title"]},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockParagraph"},"minItems":1,"maxItems":1}},"required":["nodes","fragment","type"]}]},{"allOf":[{"$ref":"#/components/schemas/DocumentFragment"},{"type":"object","properties":{"fragment":{"type":"string","enum":["expandable-body"]},"type":{"type":"string","enum":["expandable-body"]},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockTable"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockReusableContent"},{"$ref":"#/components/schemas/DocumentBlockIntegration"}]},"minItems":1}},"required":["nodes","fragment","type"]}]}]}},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]}},"required":["object","type","isVoid","fragments","data"]},"DocumentBlockReusableContent":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["reusable-content"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRefReusableContent"}},"required":["ref"]},"isVoid":{"type":"boolean","enum":[true]},"meta":{"type":"object","properties":{"token":{"description":"A content token that can be used to fetch the reusable content from the API.","type":"string"}}}},"required":["object","type","data","isVoid"]},"DocumentBlockIntegration":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["integration"]},"key":{"type":"string"},"data":{"type":"object","properties":{"integration":{"type":"string","description":"Name of the integration"},"block":{"type":"string","description":"ID of the block in the integration"},"props":{"description":"Properties passed to the block during rendering","$ref":"#/components/schemas/PlainObject"},"action":{"$ref":"#/components/schemas/ContentKitAction"},"url":{"type":"string","description":"URL associated with the content represented by the block.\nThis property is set when creating a block from a URL (unfurl) to ensure\nwe can convert the block back to an embed.\n"},"fullWidth":{"type":"boolean"}},"required":["integration","block","props"]},"isVoid":{"type":"boolean","enum":[true]},"meta":{"type":"object","properties":{"token":{"type":"string","description":"A content token that can be used to authenticate requests for cross-space integration blocks."},"spaceId":{"type":"string","description":"ID of the space the integration block originates from"}}}},"required":["object","type","data","isVoid"]},"PlainObject":{"properties":{},"additionalProperties":{"oneOf":[{"$ref":"#/components/schemas/PlainObject"},{"type":"string"},{"type":"boolean"},{"type":"number"},{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"boolean"},{"type":"number"},{"$ref":"#/components/schemas/PlainObject"}]}}]}},"ContentKitAction":{"anyOf":[{"type":"object","description":"Custom action to re-render the block.","properties":{"action":{"type":"string"}},"additionalProperties":true,"required":["action"]},{"$ref":"#/components/schemas/ContentKitDefaultAction"}]},"ContentKitDefaultAction":{"oneOf":[{"type":"object","description":"Action to open an overlay modal defined by \"componentId\".","properties":{"action":{"type":"string","enum":["@ui.modal.open"]},"componentId":{"type":"string"},"props":{"$ref":"#/components/schemas/PlainObject"}},"required":["action","componentId","props"]},{"type":"object","description":"Action when a modal overlay is closed, with a return value to the higher level component in the stack. This action will be triggered on the parent component instance.","properties":{"action":{"type":"string","enum":["@ui.modal.close"]},"returnValue":{"$ref":"#/components/schemas/PlainObject"}},"required":["action","returnValue"]},{"type":"object","description":"Action to open an url.","properties":{"action":{"type":"string","enum":["@ui.url.open"]},"url":{"type":"string"}},"required":["action","url"]},{"type":"object","description":"Action when a link is being unfurled into a block.","properties":{"action":{"type":"string","enum":["@link.unfurl"]},"url":{"type":"string"}},"required":["action","url"]},{"type":"object","description":"Action to update the properties stored in the related node.","properties":{"action":{"type":"string","enum":["@editor.node.updateProps"]},"props":{"$ref":"#/components/schemas/PlainObject"}},"required":["action","props"]}]},"DocumentBlockTabs":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["tabs"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockTabsItem"}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{"fullWidth":{"type":"boolean"}},"additionalProperties":false}},"required":["object","type","nodes"]},"DocumentBlockTabsItem":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["tabs-item"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockContentRef"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockEmbed"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockDrawing"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockIntegration"}]}},"data":{"type":"object","properties":{"title":{"type":"string"},"icon":{"$ref":"#/components/schemas/Icon"}}},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes","data"]},"DocumentBlockContentRef":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["content-ref"]},"key":{"type":"string"},"data":{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRef"}},"required":["ref"]},"isVoid":{"type":"boolean","enum":[true]}},"required":["object","type","data","isVoid"]},"DocumentBlockOpenAPI":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["swagger"]},"key":{"type":"string"},"data":{"allOf":[{"$ref":"#/components/schemas/OpenAPIOperationPointer"},{"type":"object","properties":{"ref":{"oneOf":[{"$ref":"#/components/schemas/ContentRefFile"},{"$ref":"#/components/schemas/ContentRefURL"}]},"expanded":{"type":"boolean","description":"If true, the block is opened by default."},"fullWidth":{"type":"boolean"}},"required":["ref"]}]},"isVoid":{"type":"boolean","enum":[true]},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]}},"required":["object","type","data","isVoid"]},"OpenAPIOperationPointer":{"type":"object","description":"Pointer to an operation in the OpenAPI spec.","properties":{"path":{"type":"string","description":"Path of the operation in the OpenAPI spec."},"method":{"type":"string","description":"HTTP method of the operation in the OpenAPI spec."}},"required":["path","method"]},"DocumentBlockOpenAPIOperation":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["openapi-operation"]},"key":{"type":"string"},"data":{"allOf":[{"$ref":"#/components/schemas/OpenAPIOperationPointer"},{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRefOpenAPI"}},"required":["ref"]}]},"isVoid":{"type":"boolean","enum":[true]},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]}},"required":["object","type","data","isVoid"]},"DocumentBlockOpenAPISchemas":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["openapi-schemas"]},"key":{"type":"string"},"data":{"allOf":[{"$ref":"#/components/schemas/OpenAPISchemasPointer"},{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRefOpenAPI"}},"required":["ref"]}],"required":["ref"]},"isVoid":{"type":"boolean","enum":[true]},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]}},"required":["object","type","data","isVoid"]},"OpenAPISchemasPointer":{"type":"object","description":"Pointer to schemas in the OpenAPI spec.","properties":{"grouped":{"type":"boolean","description":"Whether the schemas are grouped or not.","default":true},"schemas":{"type":"array","description":"List of schemas name from the OpenAPI spec.","items":{"type":"string"}},"title":{"type":"string","description":"Custom title for the schemas block. When not provided, defaults to \"The <SchemaName> object\"."}},"required":["schemas"]},"DocumentBlockOpenAPIWebhook":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["openapi-webhook"]},"key":{"type":"string"},"data":{"allOf":[{"$ref":"#/components/schemas/OpenAPIWebhookPointer"},{"type":"object","properties":{"ref":{"$ref":"#/components/schemas/ContentRefOpenAPI"}},"required":["ref"]}]},"isVoid":{"type":"boolean","enum":[true]},"meta":{"type":"object","properties":{"id":{"description":"Unique ID to be used in an URL for the block.","type":"string"}},"required":["id"]}},"required":["object","type","data","isVoid"]},"OpenAPIWebhookPointer":{"type":"object","description":"Pointer to a webhook in the OpenAPI spec.","properties":{"name":{"type":"string","description":"Name of the webhook in the OpenAPI spec."},"method":{"type":"string","description":"HTTP method of the webhook in the OpenAPI spec."}},"required":["name","method"]},"DocumentBlockStepper":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["stepper"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockStepperStep"}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{},"additionalProperties":false}},"required":["object","type","nodes"]},"DocumentBlockStepperStep":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["stepper-step"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockContentRef"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockEmbed"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockDrawing"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockIntegration"},{"$ref":"#/components/schemas/DocumentBlockExpandable"}]}},"data":{"type":"object","properties":{"icon":{"type":"string"}}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","nodes","data"]},"DocumentBlockColumns":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["columns"]},"key":{"type":"string"},"data":{"type":"object","properties":{"fullWidth":{"type":"boolean"}}},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentBlockColumn"}},"isVoid":{"type":"boolean","enum":[false]}},"required":["object","type","data","nodes","isVoid"]},"DocumentBlockColumn":{"type":"object","properties":{"object":{"type":"string","enum":["block"]},"type":{"type":"string","enum":["column"]},"key":{"type":"string"},"nodes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DocumentBlocksEssentials"},{"$ref":"#/components/schemas/DocumentBlockImages"},{"$ref":"#/components/schemas/DocumentBlockCode"},{"$ref":"#/components/schemas/DocumentBlockHint"},{"$ref":"#/components/schemas/DocumentBlockContentRef"},{"$ref":"#/components/schemas/DocumentBlockDrawing"},{"$ref":"#/components/schemas/DocumentBlockEmbed"},{"$ref":"#/components/schemas/DocumentBlockFile"},{"$ref":"#/components/schemas/DocumentBlockIntegration"},{"$ref":"#/components/schemas/DocumentBlockMath"},{"$ref":"#/components/schemas/DocumentBlockQuote"},{"$ref":"#/components/schemas/DocumentBlockTable"},{"$ref":"#/components/schemas/DocumentBlockExpandable"},{"$ref":"#/components/schemas/DocumentBlockStepper"}]}},"isVoid":{"type":"boolean","enum":[false]},"data":{"type":"object","properties":{"width":{"$ref":"#/components/schemas/Length"},"verticalAlignment":{"$ref":"#/components/schemas/VerticalAlignment"}},"additionalProperties":false}},"required":["object","type","nodes","data"]},"DocumentBlockUpdates":{"type":"object","properties":{"object":{"type":"stri
[...]
